Bug 503861 - Review Request: perl-DBICx-TestDatabase - Create a temporary database from a DBIx::Class::Schema
Review Request: perl-DBICx-TestDatabase - Create a temporary database from a ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
http://search.cpan.org/dist/DBICx-Tes...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-02 23:11 EDT by Chris Weyl
Modified: 2009-06-04 00:19 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-04 00:19:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-06-02 23:11:51 EDT
Spec URL: http://fedorapeople.org/~cweyl/review/perl-DBICx-TestDatabase.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-DBICx-TestDatabase-0.02-1.fc10.src.rpm

Description:
This module creates a temporary SQLite database, deploys your DBIC
schema, and then connects to it. This lets you easily test your DBIC
schema. Since you have a fresh database for every test, you don't have
to worry about cleaning up after your tests, ordering of tests affecting
failure, etc.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1390363

Additional Comment:

This is a new testing BR of DBIx::Class::DateTime::Epoch.

*rt-0.10
Comment 1 Parag AN(पराग) 2009-06-02 23:44:47 EDT
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1390363
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
16935864a5ef035a506c1a03537540b79afa3b70  DBICx-TestDatabase-0.02.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=3, Tests=13,  1 wallclock secs ( 0.03 usr  0.01 sys +  0.47 cusr  0.06 csys =  0.57 CPU)
+ Package perl-DBICx-TestDatabase-0.02-1.fc12.noarch =>
 Provides: perl(DBICx::TestDatabase) = 0.02 perl(DBICx::TestDatabase::Subclass)
 Requires: perl(File::Temp) perl(strict) perl(warnings)
+ Not a GUI application

APPROVED.
Comment 2 Chris Weyl 2009-06-03 00:34:56 EDT
New Package CVS Request
=======================
Package Name: perl-DBICx-TestDatabase
Short Description: Create a temporary database from a DBIx::Class::Schema
Owners: cweyl
Branches: F-9 F-10 F-11 devel
InitialCC: perl-sig
Comment 3 Jason Tibbitts 2009-06-03 13:08:04 EDT
CVS done.
Comment 4 Chris Weyl 2009-06-04 00:19:37 EDT
Thanks for the review! :-)

Note You need to log in before you can comment on or make changes to this bug.